'use strict';
module.exports = () => {
  return async function errorHandler(ctx, next) {
    const { method } = ctx.request;
    try {
      await next();
      if (method !== 'GET') {
        const res = await ctx.service.log.init();
        res.result = '成功';
        await ctx.service.log.create(res);
      }
    } catch (err) {
      if (method !== 'GET') {
        const res = await ctx.service.log.init();
        res.result = '失败';
        await ctx.service.log.create(res);
      }
      const { message } = err;
      const json = {
        errcode: -1001,
        errmsg: message,
      };
      ctx.body = json;
      ctx.status = 400;
    }
  };
};
