'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  const jwt = app.middleware.jwt(app.config.jwt);
  // 栏目
  router.post('/api/column/create', controller.column.create);
  router.post('/api/column/update', controller.column.update);
  router.delete('/api/column/delete/:id', controller.column.delete);
  router.get('/api/column/query', controller.column.query);
  // 系统用户
  router.post('/api/adminUser/create', controller.adminUser.create);
  router.post('/api/adminUser/update', jwt, controller.adminUser.update);
  router.post('/api/adminUser/pwdUpdate', jwt, controller.adminUser.pwdUpdate);
  router.delete('/api/adminUser/delete/:id', jwt, controller.adminUser.del);
  router.get('/api/adminUser/query', controller.adminUser.query);
  // 角色
  router.post('/api/role/create', jwt, controller.role.create);
  router.post('/api/role/update', jwt, controller.role.update);
  router.delete('/api/role/delete/:id', jwt, controller.role.del);
  router.get('/api/role/query', controller.role.query);
  // 菜单
  router.post('/api/menu/create', jwt, controller.menu.create);
  router.post('/api/menu/update', jwt, controller.menu.update);
  router.delete('/api/menu/delete/:id', jwt, controller.menu.del);
  router.get('/api/menu/query', controller.menu.query);
  // 登录
  router.post('/api/power/login', controller.power.login);
  router.get('/api/power/getUserMenu', controller.power.getUserMenu);
  // 获取验证码
  router.get('/api/captcha', controller.power.captcha);
  // 内容
  router.post('/api/content/create', jwt, controller.content.create);
  router.post('/api/content/update', jwt, controller.content.update);
  router.delete('/api/content/delete/:id', jwt, controller.content.del);
  router.get('/api/content/query', controller.content.query);
  router.get('/api/content/details/:id', controller.content.details);
  // 修改内容img标签src地址函数
  router.get('/api/content/filepath', controller.content.filepath);
  // 单页
  router.post('/api/page/create', jwt, controller.page.create);
  router.post('/api/page/update', jwt, controller.page.update);
  router.delete('/api/page/delete/:id', jwt, controller.page.del);
  router.get('/api/page/query', controller.page.query);
  router.get('/api/page/details/:id', controller.page.details);
  router.get('/api/page/detailscode/:code', controller.page.detailscode);
  // 文件
  router.post('/api/files/create', jwt, controller.files.create);
  router.post('/api/files/update', jwt, controller.files.update);
  router.delete('/api/files/delete/:id', jwt, controller.files.del);
  router.post('/api/files/upload', jwt, controller.files.upload);
  router.get('/api/files/query', controller.files.query);
  // 日志
  router.post('/api/log/create', jwt, controller.log.create);
  router.delete('/api/log/delete/:id', jwt, controller.log.del);
  router.get('/api/log/query', controller.log.query);
  // 友情链接
  router.post('/api/links/create', jwt, controller.links.create);
  router.post('/api/links/update', jwt, controller.links.update);
  router.delete('/api/links/delete/:id', jwt, controller.links.del);
  router.get('/api/links/query', controller.links.query);
  // banner
  router.post('/api/banner/create', jwt, controller.banner.create);
  router.post('/api/banner/update', jwt, controller.banner.update);
  router.delete('/api/banner/delete/:id', jwt, controller.banner.del);
  router.get('/api/banner/query', controller.banner.query);
  router.get('/api/banner/details/:id', controller.banner.details);
  // 站点配置
  router.post('/api/configuration/create', jwt, controller.configuration.create);
  router.post('/api/configuration/update', jwt, controller.configuration.update);
  router.get('/api/configuration/query', controller.configuration.query);
  // 系统菜单
  router.get('/api/adminmenu/query', controller.adminnenu.query);
  // 期刊目录
  router.post('/api/catalogue/create', controller.catalogue.create);
  router.post('/api/catalogue/update', controller.catalogue.update);
  router.delete('/api/catalogue/delete/:id', controller.catalogue.delete);
  router.get('/api/catalogue/query', controller.catalogue.query);
  router.get('/api/catalogue/fetch', controller.catalogue.fetch);
};
